Skip to content
Permalink
Browse files

Chore: Update proxyquire and fix tests

Close #3121
  • Loading branch information...
sarvaje authored and antross committed Oct 17, 2019
1 parent f9044ad commit 0cfa8ecfbf23aa46fb3e88794531144ab262ca21
@@ -21,7 +21,4 @@ update_configs:
- match:
dependency_name: "mime-db"
version_requirement: "^1.35.0"
- match:
dependency_name: "proxyquire"
version_requirement: "^2.0.0"
version_requirement_updates: "auto"
@@ -30,7 +30,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -33,7 +33,7 @@
"lodash": "^4.17.15",
"npm-run-all": "^4.1.5",
"nyc": "^14.0.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -33,7 +33,7 @@
"mkdirp": "^0.5.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"ts-loader": "^6.1.2",
@@ -33,7 +33,7 @@
"lodash": "^4.17.15",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"ts-loader": "^6.1.2",
@@ -33,7 +33,7 @@
"mkdirp": "^0.5.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"ts-loader": "^6.1.2",
@@ -17,7 +17,7 @@
{{{dependencyVersion "eslint" "^5.12.0"}}},
{{{dependencyVersion "eslint-plugin-markdown" "^1.0.0"}}},
{{{dependencyVersion "eventemitter2" "^5.0.1"}}},
{{{dependencyVersion "proxyquire" "2.0.0"}}},
{{{dependencyVersion "proxyquire" "^2.1.3"}}},
{{{dependencyVersion "sinon" "^7.2.3"}}},
{{{dependencyVersion "npm-run-all" "^4.1.5"}}},
{{{dependencyVersion "nyc" "^13.1.0"}}},
@@ -72,7 +72,7 @@
"lodash": "^4.17.15",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"puppeteer-core": "^1.20.0",
"raw-loader": "^3.1.0",
"react": "^16.10.2",
@@ -21,7 +21,6 @@ const loadBackgroundScript = (globals: Globals) => {
...globals
}
});
require(backgroundScriptPath);
};

/**
@@ -129,6 +129,9 @@ const mockContext = () => {
const connector = proxyquire(paths.connector, stubs);
const formatter = proxyquire(paths.formatter, stubs);

connector['@noCallThru'] = true;
formatter['@noCallThru'] = true;

proxyquire(paths.webhint, {
'./connector': connector,
'./formatter': formatter,
@@ -58,7 +58,7 @@
"hint": "^5.3.3",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3",
@@ -27,7 +27,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -26,7 +26,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -31,7 +31,7 @@
"globby": "^10.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -24,7 +24,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -29,7 +29,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -27,7 +27,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -36,7 +36,7 @@
"eslint-plugin-markdown": "^1.0.0",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -26,7 +26,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -27,7 +27,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -27,7 +27,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -24,7 +24,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -28,7 +28,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -25,7 +25,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -24,7 +24,7 @@
"eventemitter2": "^5.0.1",
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3",
@@ -51,7 +51,7 @@
"npm-run-all": "^4.1.5",
"nyc": "^14.1.0",
"postcss-safe-parser": "^4.0.1",
"proxyquire": "2.0.0",
"proxyquire": "^2.1.3",
"rimraf": "^3.0.0",
"sinon": "^7.4.2",
"typescript": "^3.6.3"
@@ -8098,7 +8098,7 @@ mock-require@^3.0.2, mock-require@^3.0.3:
get-caller-file "^1.0.2"
normalize-path "^2.1.1"

module-not-found-error@^1.0.0:
module-not-found-error@^1.0.1:
version "1.0.1"
resolved "https://registry.yarnpkg.com/module-not-found-error/-/module-not-found-error-1.0.1.tgz#cf8b4ff4f29640674d6cdd02b0e3bc523c2bbdc0"
integrity sha1-z4tP9PKWQGdNbN0CsOO8UjwrvcA=
@@ -9623,14 +9623,14 @@ proxy-from-env@^1.0.0:
resolved "https://registry.yarnpkg.com/proxy-from-env/-/proxy-from-env-1.0.0.tgz#33c50398f70ea7eb96d21f7b817630a55791c7ee"
integrity sha1-M8UDmPcOp+uW0h97gXYwpVeRx+4=

proxyquire@2.0.0:
version "2.0.0"
resolved "https://registry.yarnpkg.com/proxyquire/-/proxyquire-2.0.0.tgz#9803bf37b64d538b7ab05c53e839d1ab315905e3"
integrity sha512-TO9TAIz0mpa+SKddXsgCFatoe/KmHvoNVj2jDMC1kXE6kKn7/4CRpxvQ+0wAK9sbMT2FVO89qItlvnZMcFbJ2Q==
proxyquire@^2.1.3:
version "2.1.3"
resolved "https://registry.yarnpkg.com/proxyquire/-/proxyquire-2.1.3.tgz#2049a7eefa10a9a953346a18e54aab2b4268df39"
integrity sha512-BQWfCqYM+QINd+yawJz23tbBM40VIGXOdDw3X344KcclI/gtBbdWF6SlQ4nK/bYhF9d27KYug9WzljHC6B9Ysg==
dependencies:
fill-keys "^1.0.2"
module-not-found-error "^1.0.0"
resolve "~1.1.7"
module-not-found-error "^1.0.1"
resolve "^1.11.1"

prr@~1.0.1:
version "1.0.1"
@@ -10318,10 +10318,12 @@ resolve@^1.1.6, resolve@^1.1.7, resolve@^1.10.0, resolve@^1.11.0, resolve@^1.3.2
dependencies:
path-parse "^1.0.6"

resolve@~1.1.7:
version "1.1.7"
resolved "https://registry.yarnpkg.com/resolve/-/resolve-1.1.7.tgz#203114d82ad2c5ed9e8e0411b3932875e889e97b"
integrity sha1-IDEU2CrSxe2ejgQRs5ModeiJ6Xs=
resolve@^1.11.1:
version "1.12.0"
resolved "https://registry.yarnpkg.com/resolve/-/resolve-1.12.0.tgz#3fc644a35c84a48554609ff26ec52b66fa577df6"
integrity sha512-B/dOmuoAik5bKcD6s6nXDCjzUKnaDvdkRyAk6rsmsKLipWj4797iothd7jmmUhWTfinVMU+wc56rYKsit2Qy4w==
dependencies:
path-parse "^1.0.6"

responselike@^1.0.2:
version "1.0.2"

0 comments on commit 0cfa8ec

Please sign in to comment.
You can’t perform that action at this time.